config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/irssi.conf.new
( cd usr/lib/irssi/modules ; rm -rf libirc_proxy.so )
( cd usr/lib/irssi/modules ; ln -sf libirc_proxy.so.0.0.0 libirc_proxy.so )
( cd usr/lib/irssi/modules ; rm -rf libirc_proxy.so.0 )
( cd usr/lib/irssi/modules ; ln -sf libirc_proxy.so.0.0.0 libirc_proxy.so.0 )
